Page MenuHomePhabricator

WebM VP9 source videos are played back with higher priority than the VP8 transcodes
Closed, ResolvedPublic

Description

WebM VP9 source videos are played back in current TimedMediaHandler preferably over the VP8 transcodes, which among other things means a super high-res HD or UHD version might be played instead of a suitable resolution.

Once VP9 transcodes go out those'll take priority and be properly sized, but would be nice to make sure that VP9 source videos are only shown when there's no alternative yet.

Event Timeline

brion created this task.Sep 17 2016, 7:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2016, 7:17 AM
brion claimed this task.Aug 13 2017, 1:05 AM

This is still happening, and is cropping up more often. Prioritizing a fix and assigning to self.

Change 371715 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] More careful order & size check for video sources

https://gerrit.wikimedia.org/r/371715

Ainali added a subscriber: Ainali.Aug 13 2017, 3:46 PM

Change 371715 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] More careful order & size check for video sources

https://gerrit.wikimedia.org/r/371715

brion closed this task as Resolved.Sep 13 2017, 5:13 PM

Looks like this merged and went out. Yay!